<?php
if(Mage::app()->getStore()->isCurrentlySecure()){
  $ajaxUrl = Mage::getUrl('magebird_popup/coupon/new', array('_forced_secure' => true));         
}else{
  $ajaxUrl = Mage::getUrl('magebird_popup/coupon/new');
}
?>
<script type="text/javascript">     
  if (typeof popupButton === "undefined"){   
    jQuery('head').append('<link rel="stylesheet" href="<?php echo $this->getSkinUrl('css/magebird_popup/widget/buttons.css') ?>" type="text/css" />');
    var popupButton = {};
    popupButton.ajaxUrl = '<?php echo $ajaxUrl ?>?rand='+Math.floor((Math.random() * 100000000) + 1)
    popupButton.workingText = '<?php echo $this->__('Working')?>...';    
    var buttonScriptUrl = mb_popup.correctHttps("<?php echo $this->getSkinUrl('js/magebird_popup/button.js?v=1.5.2') ?>");                                                            
    jQuery.getScript(buttonScriptUrl); 
  }
</script>               